Developer

PixRacer with Ardupilot

This is a discussion to focus the feedback and support of ardupilot on the PixRacer board from AUAV.co.

We believe that all teething problems encountered are now resolved and so we recommend people load Copter-3.3.4 which is available for all multicopters through the Mission Planner's (and other GCS's) Install Firmware screens.  Note that because regular Pixhawks are still on Copter-3.3.3 the install icon may show Copter-3.3.3 but rest assured, Copter-3.3.4 will be installed (you can check the version by looking at the very top of the Mission Planner).

3691274249?profile=original

You need to be a member of diydrones to add comments!

Join diydrones

Email me when people reply –

Replies

  • Have built two big quads for work with pixhawks on board, and building my first racing quad with a pixracer on board.

    Kudos to the developers of the hardware and software that build such exciting (and scarily complex!) machines.

    I can't get the battery monitor to output the correct voltage to Mission Planner. The battery is 3S, Arducopter firmware is 3.3.4 and using the ACSP4 power distribution.

    Have tried all the combinations of options in Mission Planner. Anyone else got this to work?

    • Try this: Monitor 4, Sensor 0, APM ver 4

      3 = 13.69699

      6 = 48.192729

      These seem to be close for me with that setup.

  • Hello
    I'm new user and i want to know if it is possible to upload ardupilot's code in arduino mega 2560. because i have not to use apm or pixhawk in my project. also, can i upload the code with mission planner in arduino mega? i have all times a error of "connecting mavlink"?
    can i use eclipse also?i began but i have errors message.
    thank you!

  • Can i use the standard power module with this? Just replacing the DF13 - DF13 cable with the JST GH - DF13 Cable?

    • Yes, that will work. Just make sure it outputs a good +5v.

  • I just received my Pixracer board and I cannot get a bind with DSMX receiver. Will the Pixracer communicate with a DSMX Spektrum satellite receiver? Are there others on this forum that uses Spektrum DSMX. The yellow Tab that appears down the bottom of the screen will say spektrum not supported.  Is there something i need to do? Different version maybe.

    • Developer

      @Rodney, I have tested a spektrum satellite with my pixracer and it works fine. I was able to bind using the built-in binding function.

      Note that it will only work with the 3.4-dev versions of the firmware. The current stable release does not support spektrum.

      • Awesome, thanks Andrew, I think I tried with the 3.3 version, I will try again, you guys are the best! :-D

This reply was deleted.

Activity

Laurie J. Troy liked Jasper Kueppers's profile
Apr 1
Timothy Miller liked Joseph Udofia's profile
Mar 18
Joseph Udofia liked Joseph Udofia's profile
Mar 3
More…